{
  "webcontent": "webcontent-send",
  "quit": "quit-app",
  "test": {
    "start": "test-start"
  },
  "app": {
    "toMain": {
      "setAcceptableInsCoNm": "setAcceptableInsCoNm",
      "setUserName": "setUserName",
      "track": "analytics_track",
      "checkForUpdates": "app_checkForUpdates",
      "downloadUpdates": "app_downloadUpdates",
      "installUpdates": "app_installupdates",
      "getReleaseNotes": "app_getReleaseNotes",
      "getAppVersion": "app_getApVersion",
      "importJob": "app_importJob",
      "setReleaseChannel": "app_setReleaseChannel",
      "log": {
        "info": "app_logInfo",
        "debug": "app_logDebug",
        "warn": "app_logWarn",
        "error": "app_logError",
        "silly": "app_logSilly"
      }
    },
    "toRenderer": {
      "updateAvailable": "app_updateAvailable",
      "downloadProgress": "app_downloadProgress",
      "signOut": "app_signOut",
      "setReleaseNotes": "app_setReleaseNotes",
      "appVersion": "app_appVersion"
    }
  },
  "store": {
    "get": "store__get",
    "getAll": "store_getAll",
    "set": "store_set",
    "response": "store_response"
  },
  "fileScan": {
    "toMain": {
      "scanFilePaths": "fileScan__scanFilePaths",
      "importJob": "fileScan__importJob",
      "deleteAllEms": "filescan_deleteAllEms"
    },
    "toRenderer": {
      "scanFilePathsResponse": "fileScan__scanFilePathsResponse"
    }
  },
  "fileWatcher": {
    "toMain": {
      "filepathsGet": "filewatcher__filepathsget",
      "start": "filewatcher__start",
      "stop": "filewatcher__stop",
      "addPath": "filewatcher__addPath",
      "removePath": "filewatcher__removePath",
      "setPolling": "filewatcher__setPolling"
    },
    "toRenderer": {
      "filepathsList": "filewatcher__filepathslist",
      "startSuccess": "filewatcher__start-success",
      "startFailure": "filewatcher__start-failure",
      "stopSuccess": "filewatcher__stop-success",
      "error": "filewatcher__error",
      "getPolling": "filewatcher__getPolling"
    }
  },

  "audit": {
    "toMain": { "browseForFile": "audit__browseForFile", "runAudit": "audit__runAudit", "readFile": "audit__readFile" },
    "toRenderer": {
      "auditFilePath": "audit__filepath",
      "auditClaimsArray": "audit_claimsArray",
      "auditError": "audit__auditError"
    }
  },
  "estimate": {
    "toRenderer": {
      "estimateDecodeStart": "estimatedecode__start",
      "estimateDecodeSuccess": "estimatedecode__success",
      "estimateDecodeFailure": "estimatedecode__failure",
      "getCloseDate": "getclosedate"
    }
  }
}
